Anomaly Detection
-----------------

Anomaly
^^^^^^^

.. automodule:: nupic.algorithms.anomaly

.. autoclass:: nupic.algorithms.anomaly.Anomaly
   :members:

.. autofunction:: nupic.algorithms.anomaly.computeRawAnomalyScore


AnomalyLikelihood
^^^^^^^^^^^^^^^^^

.. automodule:: nupic.algorithms.anomaly_likelihood

.. autoclass:: nupic.algorithms.anomaly_likelihood.AnomalyLikelihood
   :show-inheritance:
   :members:

.. autofunction:: nupic.algorithms.anomaly_likelihood.estimateAnomalyLikelihoods

.. autofunction:: nupic.algorithms.anomaly_likelihood.updateAnomalyLikelihoods
